Bug 1015118 - Post-install create infinispan validation
Post-install create infinispan validation
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 09:25 EDT by Andrej Vano
Modified: 2014-02-06 10:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Vano 2013-10-03 09:25:41 EDT
Description of problem:
The fields in post-install infinispan creating are not validated. Submiting empty input will result in freezing installer

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. select desired product configuration
2. post-install configuration -> install infinispan cache
3. submit form with one empty input (for example infinispan name) -> the installer will freeze

Actual results:


Expected results:


Additional info: NullPointerException in console:
avano@avano-ThinkPad-T430s:~/Downloads$ java -jar jboss-eap-6.0.0.fsw.ci-installer-ER4-5.jar
Exception in thread "Thread-40" java.lang.NullPointerException
	at com.izforge.izpack.panels.UserInputPanel.readRuleField(UserInputPanel.java:1899)
	at com.izforge.izpack.panels.UserInputPanel.readInput(UserInputPanel.java:1334)
	at com.izforge.izpack.panels.UserInputPanel.isValidated(UserInputPanel.java:1203)
	at com.izforge.izpack.installer.IzPanel.panelValidated(IzPanel.java:435)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1664)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1649)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.navigate(InstallerFrame.java:1812)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.access$100(InstallerFrame.java:1779)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler$1.run(InstallerFrame.java:1796)
	at java.lang.Thread.run(Thread.java:724)
Comment 4 Thomas Hauser 2013-10-07 15:17:40 EDT
Validation is fixed for the next ER.
Comment 6 Pavol Srna 2013-12-16 10:15:12 EST
Infinispan cache configuration has been removed from the installer. Verified in ER7 build.

Note You need to log in before you can comment on or make changes to this bug.